Subject: Re: bug#4599: 23.1.50; VC (CVS) fails to show directory status

From: Stefan Monnier <[email-masked]>
Date: Thu, 01 Oct 2009 10:11:59 -0400

> - Sometimes after checking in (either C-x v v in a file, or from
> vc-dir), I get "point before start of properties". The commit will

I've received a few reports of "point before start of properties" (not
necessarily linked to VC, most likely it's a much lower-level bug), but
none that I could reproduce.  If you can find a way to reproduce it,
that would be very helpful.

> - Some operations, when done on a directory name in vc-dir fail; for
> example, I just pressed '+' when on a directory name (containing only
> 'need-update' files), and got the error "vc-cvs-merge-news: Couldn't
> analyze cvs update result". The *vc* buffer has normal CVS output at
> that point ("cvs update: Updating ." followed by a bunch of P lines);
> my guess it's that first line that confuses VC. Again, the operation
> does indeed succeed, so it's not a big deal.

Hmm... looks like vc-cvs-merge-news needs a lot of work,

        Stefan